Skip to main content
POST
Update

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

The application that owns the resource server.

id
string
required

Unique identifier for this access profile.

Body

application/json

XAAAccessProfileServiceUpdateRequest updates an existing access profile.

accessProfile
Xaa Access Profile · object | null

XAAAccessProfile is a requestable bundle of scopes for one resource server.

updateMask
string | null

Response

200 - application/json

XAAAccessProfileServiceUpdateResponse returns the updated access profile.

XAAAccessProfileServiceUpdateResponse returns the updated access profile.

accessProfile
Xaa Access Profile · object | null

XAAAccessProfile is a requestable bundle of scopes for one resource server.